<?php
require "../../../config/koneksi.php";
require "../../../vendor/autoload.php";
require("../../../config/function.php");

$file_mimes = array('application/vnd.ms-excel', 'text/csv', 'application/csv', 'application/excel', 'application/vnd.msexcel', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
if (isset($_FILES['file']['name'])) {
    $ext = ['xls', 'xlsx'];
    $arr_file = explode('.', $_FILES['file']['name']);
    $extension = end($arr_file);
    if (in_array($extension, $ext)) {
        if ('xls' == $extension) {
            $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xls();
        } else {
            $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        }

        $spreadsheet = $reader->load($_FILES['file']['tmp_name']);

        $sheetData = $spreadsheet->getActiveSheet()->toArray();
        
        for ($i = 3; $i < count($sheetData); $i++) {
            $id_siswa = $sheetData[$i]['0'];
			$nis = $sheetData[$i]['1'];
			$nopes = $sheetData[$i]['5'];
			$user = $sheetData[$i]['6'];
			$pass = $sheetData[$i]['7'];
			$ruang = $sheetData[$i]['8'];
			$sesi = $sheetData[$i]['9'];
			
			
			
                $exec = mysqli_query($koneksi, "UPDATE siswa SET no_peserta='$nopes',username='$user',password='$pass',ruang='$ruang',sesi='$sesi' WHERE nis='$nis'");
          
        }
       
    } else {
        echo "Pilih file yang bertipe xlsx or xls";
    }
}
